## cdiocddasrc cdiocddasrc — Read audio from CD using libcdio |

## Synopsis

    struct              GstCdioCddaSrc;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseSrc
                               +----GstPushSrc
                                     +----GstAudioCdSrc
                                           +----GstCdioCddaSrc

## Implemented Interfaces

GstCdioCddaSrc implements GstURIHandler.

## Properties

      "read-speed"               gint                  : Read / Write

## Description

## Synopsis

### Element Information

plugin | cdio
author | Tim-Philipp Müller <tim centricular net>
class | Source/File

### Element Pads

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)44100, channels=(int)2

## Details

### struct GstCdioCddaSrc

    struct GstCdioCddaSrc;

## Property Details

### The `"read-speed"` property

      "read-speed"               gint                  : Read / Write

Read from device at the specified speed (-1 = default).

Allowed values: [G_MAXULONG,100]

Default value: -1